Version 5.0 now available

The new software 5

Minimum required for the software:

 

PC type Computer (Imac not compatible)
7th Generation Intel Core i5 or newer
6GB RAM or more
128GB Hard drive or more
Win 10 or 11
14-inch or larger display recommended

 

Here is our brand new software: